import { http } from "@/utils/http"

// 应收应付台账-列表
export function getList(data?) {
  return http.post<any, AxiosResponseRes>('/payColl/standingBook/list', { data })
}

// 获取收放款台账 - 详情
export function getFactoringDetail(params?) {
  return http.get<any, AxiosResponseRes>('/payColl/standingBook/factoring/detail', { params })
}

// 保理业务修改 - 提交
export function submitFactoring(data) {
  return http.post<any, AxiosResponseRes>('/payColl/standingBook/factoring/modify', { data })
}

// 其他业务修改 - 详情
export function getOtherDetail(params) {
  return http.get<any, AxiosResponseRes>('/payColl/standingBook/other/detail', { params })
}

// 其他业务修改 - 下载
export function downloadFiles(data) {
  return http.post<any, AxiosResponseRes>('/payColl/standingBook/downloadPayCollStandingBook', { data, responseType: 'arraybuffer' })
}
