export default {
  path: '/demo',
  redirect: '/demo/index',
  meta: {
    icon: 'informationLine',
    title: '样例',
    rank: 9,
  },
  children: [
    {
      path: '/demo/index',
      name: 'Demo',
      component: () => import('@/views/demo/index.vue'),
      meta: {
        title: '样例',
        showLink: false,
        activePath: '/demo'
      },
      children: [
        {
          path: '/demo/details',
          name: 'DemoDetails',
          component: () => import('@/views/demo/details.vue'),
          meta: {
            title: '详情',
            showLink: false,
            showParent: false,
            activePath: '/demo'
          }
        }
      ]
    }
  ]
} as RouteConfigsTable
