// #region ************* useEcharts工具栏 导出和全屏操作 *************
import { defineStore } from 'pinia'

interface IStoreState {
  curExecId: string;
  needFullScreen: boolean;
  isExport?: boolean;
}

export const useToolStore = defineStore('chartTool', {
  state: (): IStoreState => {
    return {
      curExecId: '',
      needFullScreen: false
    }
  },
  actions: {
    setCurExecId(id: string) {
      this.curExecId = id;
    },
    setNeedFullScreen(flag: boolean) {
      this.needFullScreen = flag;
    }
  }
})

export function useChartToolStore() {
  return useToolStore()
}
// #endregion
