
import { ref, onMounted } from 'vue'
import { useRoute } from 'vue-router'
import { getFactoringDetail } from '@api/dataSource/receiveLendingLedger'

export const useReceiveLendingLedger = () => {
  const route = useRoute()
  const { id } = route.query
  const detailsInfo = ref<any>({})
  getFactoringDetail({ id }).then((data) => {
    detailsInfo.value = data.data
  })
  return {
    detailsInfo
  }
  //
}
