import { http } from "@/utils/http"

// 年度设定-主列表
export function queryAnnualGoalList(data?) {
  return http.post<any, AxiosResponseRes>('/annualSetting/list', { data })
}

// 年度设定-新增/修改
export function addOrUpdateAnnualGoal(data?) {
  return http.post<any, AxiosResponseRes>('/annualSetting/doAdd', { data })
}

// 年度设定-详情
export function getAnnualGoalDetails(params?) {
  return http.get<any, AxiosResponseRes>('/annualSetting/getDetails', { params })
}

// 年度设定-一键测算
export function calculateAnnualGoal(data?) {
  return http.post<any, AxiosResponseRes>('/annualSetting/calculationROE', { data })
}

// 年度设定-下载模板
export function downloadGoalTemplate(params?) {
  return http.get<any, AxiosResponseRes>('/annualSetting/downloadTemplateFile', {
    params,
    responseType: 'arraybuffer'
  })
}

// 年度预算-列表
export function queryAnnualBudgetList(data?) {
  return http.post<any, AxiosResponseRes>('/annualBudget/list', { data })
}

// 年度预算-新增或修改年度预算
export function addOrUpdateAnnualBudget(data?) {
  return http.post<any, AxiosResponseRes>('/annualBudget/doAdd', { data })
}

// 年度预算-所有预算归属
export function getBudgetBlongs(params?) {
  return http.get<any, AxiosResponseRes>('/annualBudget/getAllBudgetBelong', { params })
}

// 年度预算-下载模板
export function downloadBudgetTemplate(params?) {
  return http.get<any, AxiosResponseRes>('/annualBudget/downloadTemplateFile', {
    params,
    responseType: 'arraybuffer'
  })
}

//
export function queryBudgetDetail(params?) {
  return http.get<any, AxiosResponseRes>('/annualBudget/getDetails', { params })
}
