import { http } from "@/utils/http"

// 考核目标设定-考核目标设定列表
export function queryAssesmentList(data?) {
  return http.post<any, AxiosResponseRes>('/check/management/set/management/findBySearch', { data })
}

// 考核目标设定-新增/修改考核目标设定
export function addOrUpdateAssesment(data?) {
  return http.post<any, AxiosResponseRes>('/check/management/set/addInfo', { data })
}

// 考核目标设定-查询考核目标设定详情
export function getAssesmentDetails(data?) {
  return http.post<any, AxiosResponseRes>('/check/management/set/getDetail', { data })
}

// 考核目标设定-删除考核目标设定
export function deleteAssesment(params?) {
  return http.get<any, AxiosResponseRes>('/check/management/set/delete', { params })
}

// 人员盈亏-人员盈亏平衡测算列表
export function queryPersonalProfitList(data?) {
  return http.post<any, AxiosResponseRes>('/check/management/profitLoss/findBySearch', { data })
}

// 人员盈亏-人员盈亏平衡测算详情
export function getPersonalProfitDetails(data?) {
  return http.post<any, AxiosResponseRes>('/check/management/profitLoss/findDetail', { data })
}

// 人员盈亏-新增/修改人员盈亏平衡测算
export function addOrUpdatePersonalProfit(data?) {
  return http.post<any, AxiosResponseRes>('/check/management/profitLoss/add', { data })
}

// 人员盈亏-人员盈亏平衡 一键测算
export function calculatePersonalProfit(data?) {
  return http.post<any, AxiosResponseRes>('/check/management/profitLoss/calculate', { data })
}

// 人员考核-人员考核完成值列表查询
export function queryPersonalAssesmentList(data?) {
  return http.post<any, AxiosResponseRes>('/check/management/complete/findBySearch', { data })
}

// 人员考核-新增/修改人员考核完成值
export function addOrUpdatePersonalAssesment(data?) {
  return http.post<any, AxiosResponseRes>('/check/management/complete/add', { data })
}

// 部门工资薪-部门工资薪资列表查询
export function queryDeptSalaryList(data?) {
  return http.post<any, AxiosResponseRes>('/check/management/salary/findBySearch', { data })
}

// 部门工资薪-新增/修改部门工资薪资
export function addOrUpdateDeptSalary(data?) {
  return http.post<any, AxiosResponseRes>('/check/management/salary/add', { data })
}
