import { ref } from "vue"

export function useDepartmentColumns(feildsDisabled?) {
  const tableData = ref<any[]>([])
  const renderColumns = ref<TableColumnList>([
    {
      label: '项目名称',
      prop: 'projectName',
      width: 120
    },
    {
      label: '1月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.janIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '2月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.febIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '3月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.marIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '4月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.aprIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '5月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.mayIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '6月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.junIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '7月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.julIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '8月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.augIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '9月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.septIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '10月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.octIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '11月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.novIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '12月',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.decIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '合计',
      width: 180,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.total} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    }
  ])

  return {
    tableData,
    renderColumns
  }
}
