import { ref } from 'vue'


export function useColumns() {
  const columns: TableColumnList = [
    {
      label: '序号',
      type: 'index',
      width: 100
    },
    {
      label: '资方名称',
      prop: 'institutionName',
      showOverflowTooltip: true
    },
    {
      label: '机构类型',
      prop: 'institutionTypeName',
      showOverflowTooltip: true
    },
      {
      label: '更新时间',
      prop: 'gmtModified',
      showOverflowTooltip: true
    }
  ]


  const tableData = ref<any[]>([])
  const total = ref<number>(0)

  return {
    columns,
    tableData,
    total
  }
}
